Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.data
Interface IDataSearch

All Known Implementing Classes:
  DataSearch

public interface IDataSearch

IDataSearch
Cette interface décrit les méthodes de recherche de données
(c)Copyright ESup-Portail 2004

Version:
  2.0
Author:
  Mathieu Larchet

Method Summary
`java.util.Collection` | `findByName(org.esupportail.portal.utils.database.Query query, java.lang.String intranet, java.lang.String name, java.lang.String description, boolean valid)` Recherche de documents par nom / description
`java.util.Collection` | `findInvalid(org.esupportail.portal.utils.database.Query query, java.lang.String intranet, java.lang.String name, java.lang.String description)` Recherche de tous les documents en attente de validation
`java.util.Collection` | `findMyInvalid(org.esupportail.portal.utils.database.Query query, java.lang.String intranet, java.lang.String name, java.lang.String description, java.lang.String login)` Recherche des documents déposés par un utilisateur en attente de validation

Method Detail

### findByName

    public java.util.Collection findByName(org.esupportail.portal.utils.database.Query query,
                                           java.lang.String intranet,
                                           java.lang.String name,
                                           java.lang.String description,
                                           boolean valid)
                                    throws DataException

  Recherche de documents par nom / description

  Parameters:
    `query` - La connexion à utiliser
    `intranet` - L'intranet concerné
    `name` - Tout ou partie du nom du document
    `description` - Tout ou partie de la description du document
    `valid` - La validité des documents recherchés
  Returns:
    La liste des documents correspondants au(x) critère(s) de recherche
  Throws:
    `DataException`

### findInvalid

    public java.util.Collection findInvalid(org.esupportail.portal.utils.database.Query query,
                                            java.lang.String intranet,
                                            java.lang.String name,
                                            java.lang.String description)
                                     throws DataException

  Recherche de tous les documents en attente de validation

  Parameters:
    `query` - La connexion à utiliser
    `intranet` - L'intranet concerné
  Returns:
    La liste des documents en attente de validation
  Throws:
    `DataException`

### findMyInvalid

    public java.util.Collection findMyInvalid(org.esupportail.portal.utils.database.Query query,
                                              java.lang.String intranet,
                                              java.lang.String name,
                                              java.lang.String description,
                                              java.lang.String login)
                                       throws DataException

  Recherche des documents déposés par un utilisateur en attente de validation

  Parameters:
    `query` - La connexion à utiliser
    `intranet` - L'intranet concerné
    `login` - L'identifiant de l'utilisateur
  Returns:
    La liste des documents de l'utilisateur en attente de validation
  Throws:
    `DataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD